DECLARE SUB Stats ()
DECLARE SUB CannotGo ()
DECLARE SUB Street2 ()
DECLARE SUB CannotDo ()
DECLARE SUB Help ()
DECLARE SUB Inventory ()
DECLARE SUB Quit ()
DECLARE SUB RestoreInGame ()
DECLARE SUB SaveGame ()
'$INCLUDE: 'c:\bc7\programs\cyber\global.bi'

SUB CondemedBuilding

RestoreRoom = 19
Room:
  CLS
  PRINT "The condemned building is dark and everything inside is covered with a fine"
  PRINT "layer of dust and silt.  Sunlight filters in through broken windowpanes, and"
  PRINT "old boards and construction materials lay in haphazard piles."
Command:
  LINE INPUT "> "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "NORTH" OR a$ = "GO NORTH" THEN CannotGo: GOTO Command
  IF a$ = "S" OR a$ = "SOUTH" OR a$ = "GO SOUTH" THEN CannotGo: GOTO Command
  IF a$ = "E" OR a$ = "EAST" OR a$ = "GO EAST" THEN CannotGo: GOTO Command
  IF a$ = "W" OR a$ = "WEST" OR a$ = "GO WEST" THEN Street2
  IF a$ = "STATS" THEN Stats: GOTO Command
  IF a$ = "SEARCH" OR a$ = "SEARCH ROOM" THEN GOTO SearchRoom: GOTO Command
  IF a$ = "LOOK" THEN GOTO Room: GOTO Command
  IF a$ = "HELP" OR a$ = "?" THEN Help: GOTO Room
  IF a$ = "QUIT" OR a$ = "EXIT" THEN Quit: GOTO Command
  IF a$ = "I" OR a$ = "INVENTORY" THEN Inventory: GOTO Command
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO Command
  IF a$ = "RESTORE" OR a$ = "RESTORE GAME" THEN RestoreInGame: GOTO Command
  IF a$ = "GET BOARD" OR a$ = "GET BOARDS" THEN PRINT "The old boards are bordering on rotten.": GOTO Command
  CannotDo
  GOTO Command

SearchRoom:
  IF WireCutters = 1 THEN PRINT "None of the old construction materials are of any use to you.": GOTO Command
  PRINT "In a pile of old tools, you find a pair of usable wire cutters."
  WireCutters = 1
  GOTO Command

END SUB

